package net.wanji.opt.synthesis.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/08 0:24
 */
@Data
public class StrategyControlDetailList {
    private String crossId;
    @NotEmpty
    private List<ExecutePlan> plans;
    @NotEmpty
    private List<DailyPlan> dailyPlans;

    @Data
    public static class ExecutePlan {
        private String crossId;
        private Integer type;
        private Integer planId;
        private String company;
        private Integer status;
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date startTime;
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date endTime;
        private List<PlanDetail> planDetails;

        @Data
        public static class PlanDetail {
            private Integer dailyPlanId;
            private List<Integer> weeks;
        }
    }

    @Data
    public static class DailyPlan {
        private String crossId;
        private Integer dailyPlanId;
        private List<DailyPlanDetail> dailyPlanDetails;

        @Data
        public static class DailyPlanDetail {
            private Integer strategy;
            private String strategyName;
            private List<String> times;
        }
    }

}
