package net.wanji.opt.synthesis.pojo.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/03 18:18
 */
@Data
@ApiModel(value = "StrategyControlDataVO", description = "策略控制操作数据实体")
public class StrategyControlDataVO {
    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "路口干线Id")
    private String bizId;
    @ApiModelProperty(value = "类型 0-路口 1-干线")
    private Integer bizType;
    @ApiModelProperty(value = "策略类型 0-绿波带 1-失衡 2-溢出 3-空放")
    private Integer strategy;
    @ApiModelProperty(value = "开始时间日期")
    private Date scheduleStart;
    @ApiModelProperty(value = "结束时间日期")
    private Date scheduleEnd;
    @ApiModelProperty(value = "日计划表")
    private List<StrategyControlDataVO.TimeTable> time;
    @ApiModelProperty(value = "调控频率（秒），策略下发的频率（只针对失衡和绿波带有效）")
    private Integer frequency;
    @ApiModelProperty(value = "状态（1=开启，0=停止）")
    private Integer status;
    @ApiModelProperty(value = "操作（insert=新增,update=更新，delete=删除）")
    private String action;
    @ApiModelProperty(value = "模式1定时任务 2自适应")
    private Integer model;

    @Data
    public static class TimeTable {
        @ApiModelProperty(value = "星期周日至周六 0-6 7为每天不限时")
        private Integer week;
        @ApiModelProperty(value = "时间段，格式为“开始时间-结束时间”，时间格式为hh:mm:ss，范围00:00:00到23:59:59")
        @JsonProperty("time_list")
        private String[] timeList;
    }
}
